
![](img/humanityplanet.jpg)

# Why we do what we do

## Internet Access is a Human Right

In 2016, [the United Nations officially declared Internet access to be a human right](https://www2.ohchr.org/english/bodies/hrcouncil/docs/17session/A.HRC.17.27_en.pdf). The right to Internet access aims to protect people’s freedom of expression and opinion, as well as other fundamentals such as access to knowledge and information. 

Yet as of 2019, [about 43% of humanity remains unconnected to the Internet](https://wearesocial.com/blog/2019/01/digital-2019-global-internet-use-accelerates), creating huge inequalities in the access to information and knowledge. It is important that the right steps are taken to improve the relationship between governments and citizens and to uphold all human rights.
 
To make the new Internet accessible and equal to all, ThreeFold built an infrastructure that is widely affordable and collectively-owned by the network peers. To ensure a fair and equal distribution of the Internet to everyone, the expansion and reach to regions that need Internet capacity the most will be incentivized and/or sponsored by the Foundation.

## Everyone Should Be Autonomous

The Internet evolved to become the world's largest database of information and knowledge, opening up exponential growth on personal, organizational and economic levels. Yet it is owned by large international companies that exploit users' data. 

The current approach of many governments and countries is to cut the Internet into pieces by limiting its accessibility and enforcing regulations. We need an Internet that protects our digital freedom and provides fair access to global information for everyone, everywhere.
 
ThreeFold's Internet is a peer-to-peer Internet and owned by the users. All the technology of this new Internet is open-source and the whole experience is built around the fundamentals of a peer-to-peer network. On this new Internet, everyone owns their data and experiences - digital freedom.

## Our Planet Needs a Sustainable Internet 

The current Internet [consumes about 10% of global energy production](https://www.researchgate.net/publication/255923829_Emerging_Trends_in_Electricity_Consumption_for_Consumer_ICT). With the imminent boom of emerging technologies such as Blockchain, Internet of Things, Virtual Reality, and Artificial Intelligence, the Internet’s energy consumption is [expected to increase exponentially](https://www.gartner.com/en/newsroom/press-releases/2017-02-07-gartner-says-8-billion-connected-things-will-be-in-use-in-2017-up-31-percent-from-2016). 

The current industry's solutions focus on increasing the use of renewable energies to power data centers. However this is not a viable solution as data centers consume enormous amounts of energy. Therefore, a new solution that can drastically reduce the global Internet’s energy consumption is needed. 
  
ThreeFold today brings the largest peer-to-peer Internet grid on the planet. It uses pioneering technologies that remove the need for centralized and power-hungry data centers, consumes up to 90% less energy, and uses up to 90% less international fiber network capacity. (To learn about ThreeFold power savings, read [here](https://farming.threefold.io/blog/post/for_our_planet/).)
